Bug 243804 - www/gitlab-workhorse: fix build on aarch64
Summary: www/gitlab-workhorse: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Matthias Fechner
URL: http://thunderx1.nyi.freebsd.org/data...
Keywords:
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-02-02 16:26 UTC by Mikael Urankar
Modified: 2020-02-17 19:01 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (mfechner)


Attachments
patch (1.67 KB, patch)
2020-02-02 16:26 UTC, Mikael Urankar
no flags Details | Diff
Patch received upstream (4.08 KB, patch)
2020-02-06 20:56 UTC, Matthias Fechner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-02-02 16:26:46 UTC
Created attachment 211282 [details]
patch

# golang.org/x/sys/unix
vendor/golang.org/x/sys/unix/ztypes_freebsd_arm64.go:400:12: undefined: uint128
Comment 1 Matthias Fechner freebsd_committer 2020-02-02 17:55:14 UTC
(In reply to Mikael Urankar from comment #0)
Thanks Mikael!
Are you interested to ask this upstream?
They are normally very quick in applying patches.

If not, I can create a merge request upstream for you.

If you create one, please post the link here.

Please let me know if I should request this upstream or you will do it.
Comment 2 Mikael Urankar freebsd_committer 2020-02-02 19:35:01 UTC
I don't know how to patch this issue (go is a bit new to me), I've created https://gitlab.com/gitlab-org/gitlab-workhorse/issues/246
Comment 3 Matthias Fechner freebsd_committer 2020-02-06 20:56:33 UTC
Created attachment 211432 [details]
Patch received upstream

Could you please test the attached patch, if it fixes the problem?
Comment 4 Mikael Urankar freebsd_committer 2020-02-07 08:41:09 UTC
Yes, it builds fine with this patch.
Comment 5 commit-hook freebsd_committer 2020-02-07 08:48:07 UTC
A commit references this bug:

Author: mfechner
Date: Fri Feb  7 08:48:04 UTC 2020
New revision: 525469
URL: https://svnweb.freebsd.org/changeset/ports/525469

Log:
  Fixed build for aarch64.
  This problem was send upstream here:
  https://gitlab.com/gitlab-org/gitlab-workhorse/issues/246

  And will be corrected with this merge request:
  https://gitlab.com/gitlab-org/gitlab-workhorse/-/merge_requests/456

  After the merge request reached the next stable version the two patches:
  gitlab-workhorse/files/patch-go.mod
  gitlab-workhorse/files/patch-go.sum

  can be removed again.

  PR:		243804
  Reported by:	mikael@FreeBSD.org

Changes:
  head/www/gitlab-workhorse/Makefile
  head/www/gitlab-workhorse/distinfo
  head/www/gitlab-workhorse/files/
  head/www/gitlab-workhorse/files/patch-go.mod
  head/www/gitlab-workhorse/files/patch-go.sum
Comment 6 Matthias Fechner freebsd_committer 2020-02-07 08:50:53 UTC
Thanks a lot!
Comment 7 commit-hook freebsd_committer 2020-02-17 19:01:00 UTC
A commit references this bug:

Author: mfechner
Date: Mon Feb 17 19:00:48 UTC 2020
New revision: 526403
URL: https://svnweb.freebsd.org/changeset/ports/526403

Log:
  MFH: r525469

  Fixed build for aarch64.
  This problem was send upstream here:
  https://gitlab.com/gitlab-org/gitlab-workhorse/issues/246

  And will be corrected with this merge request:
  https://gitlab.com/gitlab-org/gitlab-workhorse/-/merge_requests/456

  After the merge request reached the next stable version the two patches:
  gitlab-workhorse/files/patch-go.mod
  gitlab-workhorse/files/patch-go.sum

  can be removed again.

  PR:		243804
  Reported by:	mikael@FreeBSD.org

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/www/gitlab-workhorse/Makefile
  branches/2020Q1/www/gitlab-workhorse/distinfo
  branches/2020Q1/www/gitlab-workhorse/files/